class Admin::DesignsController < ApplicationController
  layout "admin"


  def index
    @designs = Design.all.entries
  end

  def new
    @design = Design.new
  end

  def update
    params[:design][:existing_task_attributes] ||= {}
    @design = Design.find(params[:id])
    if @design.update_attributes(params[:design])
      flash[:notice] = "Successfully updated design and tasks."
      redirect_to admin_designs_path(@design)
    else
      render :action => 'edit'
    end
  end

  def edit
    @design = Design.find(params[:id])
  end

  def destroy
  end

  def create
    @design = Design.new(params[:design])
    if @design.save
        flash[:notice] = "Successfully created design and tasks."
        redirect_to admin_designs_path
      else
        render :action => 'new'
      end
  end

end
